<HTML>
<HEAD>
<TITLE>JSONtext.lvlib:From JSON Text.vim</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="JSONtext.lvlib:From JSON Text.vim"></A><H2>JSONtext.lvlib:From JSON Text.vim</H2>
<P>Convert JSON to the LabVIEW Data Type entered.</P>
<P><IMG SRC="Images/From JSON Text_VIMc.png" ALT="JSONtext.lvlib:From JSON Text.vim"></P>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cfxdt.png" ALT="cfxdt"></P>
</TD>
<TD>
<B>Data Type and Default Value</B> <P>Data type you would like to convert the JSON to.  This input accepts most LabVIEW types, including <a href="Pages\Cluster and Array conversion to JSON.html">arrays and clusters of those types</a>.   The input also sets the default value to return if it is not possible to convert the JSON (due to a missing item or type mismatch).</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error in (no error)</B> <P>Describes error conditions that occur before this node runs. This input provides standard error in functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>JSON</B> <P><a href="http://json.org">Input JSON</a>.  Optional &quot;Offset&quot; indicates an offset in this string pointing to the start of the JSON item to operate on.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>Offset</B> <P><a href="Pages\Offsets.html">Optional Offset</a> in the input &quot;JSON&quot; string.   Default is zero, the start of the string.  This Offset should point to the start of the JSON Value of interest (or to whitespace in front of it).</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ifxdt.png" ALT="ifxdt"></P>
</TD>
<TD>
<B>Data out</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error out</B> <P>Contains error information. This output provides standard error out functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
</BODY>
</HTML>

<p>See also <a href="Pages/JSONtext.html">JSONtext</a>.</p>
<p>For support please see <a title="[CR] JSONtext" href="https://lavag.org/topic/20236-cr-jsontext/" target="_blank" rel="noopener">[CR] JSONtext</a> and <a title="JSONtext Issues" href="https://bitbucket.org/drjdpowell/jsontext/issues?status=new&amp;status=open">Bitbucket Issue Tracker</a>.</p>